from enum import Enum


class PowerOutletTypeType0Label(str, Enum):
    C13 = "C13"
    C15 = "C15"
    C19 = "C19"
    C21 = "C21"
    C5 = "C5"
    C7 = "C7"
    CS6360C = "CS6360C"
    CS6364C = "CS6364C"
    CS8164C = "CS8164C"
    CS8264C = "CS8264C"
    CS8364C = "CS8364C"
    CS8464C = "CS8464C"
    DC_TERMINAL = "DC Terminal"
    HARDWIRED = "Hardwired"
    HDOT_CX = "HDOT Cx"
    IEC_60906_1 = "IEC 60906-1"
    ITA_MULTISTANDARD = "ITA Multistandard"
    ITA_TYPE_E_CEE_75 = "ITA Type E (CEE 7/5)"
    ITA_TYPE_F_CEE_73 = "ITA Type F (CEE 7/3)"
    ITA_TYPE_G_BS_1363 = "ITA Type G (BS 1363)"
    ITA_TYPE_H = "ITA Type H"
    ITA_TYPE_I = "ITA Type I"
    ITA_TYPE_J = "ITA Type J"
    ITA_TYPE_K = "ITA Type K"
    ITA_TYPE_L_CEI_23_50 = "ITA Type L (CEI 23-50)"
    ITA_TYPE_M_BS_546 = "ITA Type M (BS 546)"
    ITA_TYPE_N = "ITA Type N"
    ITA_TYPE_O = "ITA Type O"
    NEMA_10_30R = "NEMA 10-30R"
    NEMA_10_50R = "NEMA 10-50R"
    NEMA_14_20R = "NEMA 14-20R"
    NEMA_14_30R = "NEMA 14-30R"
    NEMA_14_50R = "NEMA 14-50R"
    NEMA_14_60R = "NEMA 14-60R"
    NEMA_15_15R = "NEMA 15-15R"
    NEMA_15_20R = "NEMA 15-20R"
    NEMA_15_30R = "NEMA 15-30R"
    NEMA_15_50R = "NEMA 15-50R"
    NEMA_15_60R = "NEMA 15-60R"
    NEMA_1_15R = "NEMA 1-15R"
    NEMA_5_15R = "NEMA 5-15R"
    NEMA_5_20R = "NEMA 5-20R"
    NEMA_5_30R = "NEMA 5-30R"
    NEMA_5_50R = "NEMA 5-50R"
    NEMA_6_15R = "NEMA 6-15R"
    NEMA_6_20R = "NEMA 6-20R"
    NEMA_6_30R = "NEMA 6-30R"
    NEMA_6_50R = "NEMA 6-50R"
    NEMA_L10_30R = "NEMA L10-30R"
    NEMA_L14_20R = "NEMA L14-20R"
    NEMA_L14_30R = "NEMA L14-30R"
    NEMA_L14_50R = "NEMA L14-50R"
    NEMA_L14_60R = "NEMA L14-60R"
    NEMA_L15_20R = "NEMA L15-20R"
    NEMA_L15_30R = "NEMA L15-30R"
    NEMA_L15_50R = "NEMA L15-50R"
    NEMA_L15_60R = "NEMA L15-60R"
    NEMA_L1_15R = "NEMA L1-15R"
    NEMA_L21_20R = "NEMA L21-20R"
    NEMA_L21_30R = "NEMA L21-30R"
    NEMA_L22_30R = "NEMA L22-30R"
    NEMA_L5_15R = "NEMA L5-15R"
    NEMA_L5_20R = "NEMA L5-20R"
    NEMA_L5_30R = "NEMA L5-30R"
    NEMA_L5_50R = "NEMA L5-50R"
    NEMA_L6_15R = "NEMA L6-15R"
    NEMA_L6_20R = "NEMA L6-20R"
    NEMA_L6_30R = "NEMA L6-30R"
    NEMA_L6_50R = "NEMA L6-50R"
    NEUTRIK_POWERCON_20A = "Neutrik powerCON (20A)"
    NEUTRIK_POWERCON_32A = "Neutrik powerCON (32A)"
    NEUTRIK_POWERCON_TRUE1 = "Neutrik powerCON TRUE1"
    NEUTRIK_POWERCON_TRUE1_TOP = "Neutrik powerCON TRUE1 TOP"
    OTHER = "Other"
    PNE_4H = "P+N+E 4H"
    PNE_6H = "P+N+E 6H"
    PNE_9H = "P+N+E 9H"
    SAF_D_GRID = "Saf-D-Grid"
    UBIQUITI_SMARTPOWER = "Ubiquiti SmartPower"
    USB_MICRO_B = "USB Micro B"
    USB_TYPE_A = "USB Type A"
    USB_TYPE_C = "USB Type C"
    VALUE_10 = "2P+E 6H"
    VALUE_11 = "2P+E 9H"
    VALUE_12 = "3P+E 4H"
    VALUE_13 = "3P+E 6H"
    VALUE_14 = "3P+E 9H"
    VALUE_15 = "3P+N+E 4H"
    VALUE_16 = "3P+N+E 6H"
    VALUE_17 = "3P+N+E 9H"
    VALUE_19 = "2P+T 10A (NBR 14136)"
    VALUE_20 = "2P+T 20A (NBR 14136)"
    VALUE_9 = "2P+E 4H"

    def __str__(self) -> str:
        return str(self.value)
